Subject: Re: Process level networking stats.

From: Ben Greear <[email-masked]>
Date: Thu, 7 Mar 2024 20:20:23 -0800

On 3/6/24 19:57, Jakub Kicinski wrote:
> On Wed, 6 Mar 2024 14:57:55 -0800 Ben Greear wrote:
>> I am interested in a relatively straight-forward way to know the tx/rx bytes
>> sent/received by a process.
> 
> What is "relatively straight-forward"? :)
> You could out the process in a cgroup and use cgroup hooks
> 

The main thing is that I don't want to try to do it with packet capture.
Thanks for the suggestion of using cgroups.  I will look into that.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com